/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * ----------------------------------------
 */
package fr.tlse.irap.map;

import java.io.Serializable;
import java.util.Date;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;

import fr.tlse.irap.spaceElement.Probe;


@XmlRootElement
public class JMapHeader implements Serializable{

	/**
	 * serialVersion of JMap Header Class
	 */
	private static final long serialVersionUID = 1L;

	private Probe observer;
	private Date startDate;
	private Date endDate;
	private int width;
	private int height;
	private Double maxElongation;
	private Double minElongation;
	private Double positionAngle;

	public JMapHeader(){
		super();
	}

	public Double getMinElongation() {
		return minElongation;
	}

	public void setMinElongation(Double minElongation) {
		this.minElongation = minElongation;
	}

	public Double getMaxElongation() {
		return maxElongation;
	}

	public void setMaxElongation(Double maxElongation) {
		this.maxElongation = maxElongation;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	@XmlElement(name="width")
	public int getWidth() {
		return this.width;
	}

	public void setWidth(int width) {
		this.width = width;
	}

	@XmlElement(name="height")
	public int getHeight() {
		return this.height;
	}

	public void setHeight(int height) {
		this.height = height;
	}

	public Probe getObserver() {
		return observer;
	}

	public void setObserver(Probe observer) {
		this.observer = observer;
	}

	public Double getPositionAngle() {
		return positionAngle;
	}

	public void setPositionAngle(Double positionAngle) {
		this.positionAngle = positionAngle;
	}


}
